import request from '@/utils/request'

// 查询连续提现记录列表
export function listRecord(query) {
  return request({
    url: '/his/consecutiveWithdrawRecord/list',
    method: 'get',
    params: query
  })
}

// 查询连续提现记录详细
export function getRecord(id) {
  return request({
    url: '/his/consecutiveWithdrawRecord/' + id,
    method: 'get'
  })
}

// 新增连续提现记录
export function addRecord(data) {
  return request({
    url: '/his/record',
    method: 'post',
    data: data
  })
}

// 修改连续提现记录
export function updateRecord(data) {
  return request({
    url: '/his/record',
    method: 'put',
    data: data
  })
}

// 删除连续提现记录
export function delRecord(id) {
  return request({
    url: '/his/consecutiveWithdrawRecord/' + id,
    method: 'delete'
  })
}

// 导出连续提现记录
export function exportRecord(query) {
  return request({
    url: '/his/consecutiveWithdrawRecord/export',
    method: 'get',
    params: query
  })
}
